unit ituHelloWorldMain;

interface

uses
  ituInterfaceFactory, ituMain, ituMainPortal;

type
  itHelloWorldMain = class(itMainPortal)
  protected
    function InitialLevel: integer; override;
  public
    procedure Initialize; override;
  end;

var
  fUsuario, fSenha, fCodigoSusep : string;

implementation

procedure itHelloWorldMain.Initialize;
begin
  MainPortal := TMainPortal.Create(nil);
  inherited;
end;

function itHelloWorldMain.InitialLevel: integer;
begin
  result := 0;
end;

initialization
  gInterfaceFactory.RegisterClass(ITCTLMAIN, itHelloWorldMain);

finalization
  gInterfaceFactory.UnregisterClass(ITCTLMAIN);

end.
