unit nguExemplar;


interface

uses
  acuframework, utumessage;

type
  ngExemplar = class(acPersistentObject)
  public
    procedure toXML(piField: utField);
  private
    FCodigo: acString;
    fLivro: acRelationPartnerShip;
    fSituacao: acRelationPartnerShip;
    fEmprestimos: acRelationPartnerList;
  published
    property Codigo: acString read FCodigo write FCodigo;
    property Livro: acRelationPartnerShip read fLivro write fLivro;
    property Situacao: acRelationPartnerShip read fSituacao write fSituacao;
    property Emprestimos: acRelationPartnerList read fEmprestimos write fEmprestimos;
  end;

implementation

procedure ngExemplar.toXML(piField: utField);
begin
  piField.AddAttribute('OID').AsString := Self.IDO.AsString;
  piField.AddAttribute('Codigo').AsString := Self.Codigo.AsString;
end;

initialization

PersistenceManager.RegisterClass(ngExemplar);

end.

