unit nguLivro;


interface

uses
  acuframework, utumessage;

type
  ngLivro = class(acPersistentObject)
  public
    procedure toXML(piField: utField);
  private
    FISBN: acString;
    FTitulo: acString;
    FEdicao: acString;
    fExemplares: acRelationPartnerList;
  published
    property ISBN: acString read FISBN write FISBN;
    property Titulo: acString read FTitulo write FTitulo;
    property Edicao: acString read FEdicao write FEdicao;
    property Exemplares: acRelationPartnerList read fExemplares write fExemplares;
  end;

implementation

procedure ngLivro.toXML(piField: utField);
begin
  piField.AddAttribute('OID').AsString := Self.IDO.AsString;
  piField.AddAttribute('Titulo').AsString := Self.Titulo.AsString;
  piField.AddAttribute('ISBN').AsString := Self.ISBN.AsString;
  piField.AddAttribute('Edicao').AsString := Self.Edicao.AsString;
end;

initialization

PersistenceManager.RegisterClass(ngLivro);

end.

