unit nguUsuario;


interface

uses
  acuframework, utuMessage;

type
  ngUsuario = class(acPersistentObject)
  private
    FNome: acString;
    FCPF: acString;
    FDataNascimento: acDateTime;
    fEmprestimos: acRelationPartnerList;
  public
    procedure toXML(piField: utField);
  published
    property Nome: acString read FNome write FNome;
    property CPF: acString read FCPF write FCPF;
    property DataNascimento: acDateTime read FDataNascimento write FDataNascimento;
    property Emprestimos: acRelationPartnerList read fEmprestimos write fEmprestimos;
  end;

implementation


{ ngUsuario }

procedure ngUsuario.toXML(piField: utField);
begin
  piField.AddAttribute('OID').AsString := Self.IDO.AsString;
  piField.AddAttribute('Nome').AsString := Self.Nome.AsString;
  piField.AddAttribute('CPF').AsString := Self.CPF.AsString;
end;

initialization

PersistenceManager.RegisterClass(ngUsuario);

end.

